# QButtonGroup Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QButtonGroup(QObject parent)

### Constructor Properties

- prototype: The QButtonGroup prototype object

### Prototype Object Properties

The QButtonGroup prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addButton(QAbstractButton arg__1)
- QAbstractButton button(int id)
- List buttons()
- QAbstractButton checkedButton()
- int checkedId()
- int id(QAbstractButton button)
- void removeButton(QAbstractButton arg__1)
- void setId(QAbstractButton button, int id)

### Instance Properties

QButtonGroup objects inherit properties from the QButtonGroup prototype object and also have the following properties.

- exclusive